Product
Keywords: testopia.API.Product class

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## testopia.API
Class Product

    java.lang.Object
      testopia.API.Product

    public class Product

extends java.lang.Object

Allows the user to get a productID from it's name, or it's name from the productID. It's also able to return a product's milestones'.

Author:
  anelson

Constructor Summary
`Product(java.lang.String userName, java.lang.String password, java.net.URL url)`

Method Summary
`java.lang.Object[]` | `getMilestones(int id)`
`int` | `getProductIDByName(java.lang.String productName)`
`java.lang.String` | `getProductNameByID(int id)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Product

    public Product(java.lang.String userName,
                   java.lang.String password,
                   java.net.URL url)

Parameters:
  `userName` - - your testopia/bugzilla username
  `password` - - the password for your account
  `login` - - the user you want attributes returned for
  `url` - - the url of the testopia server

Method Detail

### getProductIDByName

    public int getProductIDByName(java.lang.String productName)

  Parameters:
    `productName` - the name of the product, that the ID will be returned for. 0 Will be returned if the product can't be found
  Returns:
    the ID of the specified product

### getProductNameByID

    public java.lang.String getProductNameByID(int id)

  Parameters:
    `id` - the ID of the product name that will be returned. Null is returned if the product can't be found
  Returns:
    the product name that corresponds the specified product ID

### getMilestones

    public java.lang.Object[] getMilestones(int id)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD